core::posix::linux::proc::process Namespace Reference

## Classes

struct | Stat
| The Stat struct encapsulates status information about a process. More...

## Enumerations

enum class | State { undefined = -1 , running = 'R' , sleeping = 'S' , disk_sleep = 'D' , zombie = 'Z' , traced_or_stopped = 'T' , paging = 'W' }

## Functions

CORE_POSIX_DLL_PUBLIC const posix::Process & | operator>> (const posix::Process &process, Stat &stat)
std::istream & | operator>> (std::istream &in, State &state)
std::istream & | operator>> (std::istream &in, Stat &stat)

## Enumeration Type Documentation

## State

enum class core::posix::linux::proc::process::State

strong

Enumerator
undefined |
running |
sleeping |
disk_sleep |
zombie |
traced_or_stopped |
paging |

Definition at line 35 of file state.h.

## Function Documentation

## operator>>() [1/3]

const posix::Process & core::posix::linux::proc::process::operator>> | ( | const posix::Process & | process,
|  | Stat & | stat )

Definition at line 93 of file stat.cpp.

## operator>>() [2/3]

std::istream & core::posix::linux::proc::process::operator>> | ( | std::istream & | in,
|  | Stat & | stat )

Definition at line 43 of file stat.cpp.

References core::posix::linux::proc::process::Stat::addresses, core::posix::linux::proc::process::Stat::aggregated_block_io_delays, core::posix::linux::proc::process::Stat::blocked, core::posix::linux::proc::process::Stat::caught, core::posix::linux::proc::process::Stat::channel, core::posix::linux::proc::process::Stat::controlling_process_group, core::posix::linux::proc::process::Stat::cpu_count, core::posix::linux::proc::process::Stat::end_code, core::posix::linux::proc::process::Stat::executable, core::posix::linux::proc::process::Stat::exit_signal, core::posix::linux::proc::process::Stat::guest_time, core::posix::linux::proc::process::Stat::guest_time_children, core::posix::linux::proc::process::Stat::ignored, core::posix::linux::proc::process::Stat::instruction_pointer, core::posix::linux::proc::process::Stat::kernel_flags, core::posix::linux::proc::process::Stat::major_faults_count, core::posix::linux::proc::process::Stat::major_faults_count_by_children, core::posix::linux::proc::process::Stat::minor_faults_count, core::posix::linux::proc::process::Stat::minor_faults_count_by_children, core::posix::linux::proc::process::Stat::nice, core::posix::linux::proc::process::Stat::parent, core::posix::linux::proc::process::Stat::pending, core::posix::linux::proc::process::Stat::pid, core::posix::linux::proc::process::Stat::priority, core::posix::linux::proc::process::Stat::process_group, core::posix::linux::proc::process::Stat::realtime_priority, core::posix::linux::proc::process::Stat::resident_set, core::posix::linux::proc::process::Stat::resident_set_limit, core::posix::linux::proc::process::Stat::scheduling_policy, core::posix::linux::proc::process::Stat::session_id, core::posix::linux::proc::process::Stat::signals, core::posix::linux::proc::process::Stat::size, core::posix::linux::proc::process::Stat::stack_pointer, core::posix::linux::proc::process::Stat::start_code, core::posix::linux::proc::process::Stat::start_stack, core::posix::linux::proc::process::Stat::start_time, core::posix::linux::proc::process::Stat::state, core::posix::linux::proc::process::Stat::swap_count, core::posix::linux::proc::process::Stat::swap_count_children, core::posix::linux::proc::process::Stat::system, core::posix::linux::proc::process::Stat::system_for_children, core::posix::linux::proc::process::Stat::thread_count, core::posix::linux::proc::process::Stat::time, core::posix::linux::proc::process::Stat::time_before_next_sig_alarm, core::posix::linux::proc::process::Stat::tty_nr, core::posix::linux::proc::process::Stat::user, core::posix::linux::proc::process::Stat::user_for_children, and core::posix::linux::proc::process::Stat::virt.

## operator>>() [3/3]

std::istream & core::posix::linux::proc::process::operator>> | ( | std::istream & | in,
|  | State & | state )

Definition at line 37 of file stat.cpp.